%define		_modname	uploadprogress
%define		_status		stable
Summary:	%{_modname} - An extension to track progress of a file upload
Name:		php-pecl-%{_modname}
Version:	1.0.3.1
Release:	1.sdl6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
URL:		http://pecl.php.net/package/uploadprogress/
BuildRequires:	php-devel > 5.2.0
%{?requires_php_extension}
Requires:	php-common > 5.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extension to track progress of a file upload.

In PECL status of this extension is: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/php.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{_libdir}/php/modules/
cat <<'EOF' > $RPM_BUILD_ROOT/etc/php.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples
%config(noreplace) %verify(not md5 mtime size) /etc/php.d/%{_modname}.ini
%attr(755,root,root) %{_libdir}/php/modules/%{_modname}.so

%changelog
* Fri Jan 31 2014 Benjamin Rose <benrose@math.princeton.edu>
- Initial release for Springdale 6.

